"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callScfMethod = void 0;
const error_1 = require("../error");
async function callScfMethod(params, context) {
    try {
        const response = await context.app.callFunction({
            name: params.methodCfg.calleeBody.fnName,
            data: params.params || {},
        });
        // @ts-ignore
        if (response.code)
            throw new error_1.TCBError(response.code, `${response.message}, requestId: ${response.requestId}`);
        return response.result;
    }
    catch (e) {
        let code = 'FnError.Scf';
        if (e.name)
            code += `.${e.code || e.name}`;
        throw new error_1.TCBError(code, `数据源自定义方法调用失败: ${e.message}`, {
            original: e,
        });
    }
}
exports.callScfMethod = callScfMethod;
